Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.portlet.state
Class LocalPortletInvoker

    java.lang.Object
      org.jboss.portal.core.impl.portlet.state.LocalPortletInvoker

All Implemented Interfaces:
  PortletInvoker

    public class LocalPortletInvoker

extends java.lang.Object
implements PortletInvoker

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Constructor Summary
`LocalPortletInvoker()`

Method Summary
`PortletContext` | `createClone(PortletContext portletContext)` Clone a portlet.
`java.util.List` | `destroyClones(java.util.List portletContexts)` Destroy a cloned portlet.
`Portlet` | `getPortlet(PortletContext portletContext)` Get information about a specific portlet.
`PortletInvoker` | `getPortletInvoker()`
`java.util.Set` | `getPortlets()` Return the set of portlet exposed.
`PropertyMap` | `getProperties(PortletContext portletContext)` Return all the properties of the specified portlet.
`PropertyMap` | `getProperties(PortletContext portletContext, java.util.Set keys)` Return a subset of the properties of the specified portlet.
`PortletInvocationResponse` | `invoke(PortletInvocation invocation)` Invoke an operation on a specific portlet.
`static boolean` | `isLocal()`
`void` | `setPortletInvoker(PortletInvoker portletInvoker)`
`PortletContext` | `setProperties(PortletContext portletContext, PropertyChange[] changes)` Set the properties on the specified portlet.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalPortletInvoker

    public LocalPortletInvoker()

Method Detail

### getPortletInvoker

    public PortletInvoker getPortletInvoker()

### setPortletInvoker

    public void setPortletInvoker(PortletInvoker portletInvoker)

### isLocal

    public static boolean isLocal()

### getPortlets

    public java.util.Set getPortlets()
                              throws PortletInvokerException

  Description copied from interface: `PortletInvoker`
  Return the set of portlet exposed.

  Specified by:
    `getPortlets` in interface `PortletInvoker`
  Returns:
    the set of exposed portlets
  Throws:
    `PortletInvokerException`

### getPortlet

    public Portlet getPortlet(PortletContext portletContext)
                       throws java.lang.IllegalArgumentException,
                              PortletInvokerException

  Description copied from interface: `PortletInvoker`
  Get information about a specific portlet.

  Specified by:
    `getPortlet` in interface `PortletInvoker`
  Parameters:
    `portletContext` - the portlet context in the scope of this invoker
  Returns:
    the `PortletInfo` for the specified portlet
  Throws:
    `java.lang.IllegalArgumentException` - if the portlet context is null
    `PortletInvokerException`

### invoke

    public PortletInvocationResponse invoke(PortletInvocation invocation)
                                     throws java.lang.IllegalArgumentException,
                                            PortletInvokerException

  Description copied from interface: `PortletInvoker`
  Invoke an operation on a specific portlet.

  Specified by:
    `invoke` in interface `PortletInvoker`
  Parameters:
    `invocation` - the portlet invocation
  Returns:
    the invocation response
  Throws:
    `java.lang.IllegalArgumentException` - if the invocation is null
    `PortletInvokerException`

### createClone

    public PortletContext createClone(PortletContext portletContext)
                               throws java.lang.IllegalArgumentException,
                                      PortletInvokerException,
                                      java.lang.UnsupportedOperationException

  Description copied from interface: `PortletInvoker`
  Clone a portlet.

  Specified by:
    `createClone` in interface `PortletInvoker`
  Returns:
    the clone id
  Throws:
    `java.lang.IllegalArgumentException` - if the portletId is null
    `java.lang.UnsupportedOperationException` - if the invoker does not support this operation
    `PortletInvokerException`

### destroyClones

    public java.util.List destroyClones(java.util.List portletContexts)
                                 throws java.lang.IllegalArgumentException,
                                        PortletInvokerException,
                                        java.lang.UnsupportedOperationException

  Description copied from interface: `PortletInvoker`
  Destroy a cloned portlet.

  Specified by:
    `destroyClones` in interface `PortletInvoker`
  Parameters:
    `portletContexts` - a list of portlet contexts to destroy
  Returns:
    a list of `DestroyCloneFailure`, one per clone that couldn't be destroyed
  Throws:
    `java.lang.IllegalArgumentException` - if the portletContext is null
    `java.lang.UnsupportedOperationException` - if the invoker does not support this operation
    `PortletInvokerException`

### getProperties

    public PropertyMap getProperties(PortletContext portletContext,
                                     java.util.Set keys)
                              throws java.lang.IllegalArgumentException,
                                     PortletInvokerException,
                                     java.lang.UnsupportedOperationException

  Description copied from interface: `PortletInvoker`
  Return a subset of the properties of the specified portlet.

  Specified by:
    `getProperties` in interface `PortletInvoker`
  Parameters:
    `portletContext` - the portlet context
    `keys` - the set of keys to retrieve
  Returns:
    the properties
  Throws:
    `java.lang.IllegalArgumentException` - if the portletContext or the keys arguments are null
    `java.lang.UnsupportedOperationException` - if the invoker does not support this operation
    `PortletInvokerException`

### getProperties

    public PropertyMap getProperties(PortletContext portletContext)
                              throws java.lang.IllegalArgumentException,
                                     PortletInvokerException,
                                     java.lang.UnsupportedOperationException

  Description copied from interface: `PortletInvoker`
  Return all the properties of the specified portlet.

  Specified by:
    `getProperties` in interface `PortletInvoker`
  Parameters:
    `portletContext` - the portlet context
  Returns:
    the properties
  Throws:
    `java.lang.IllegalArgumentException` - if the portletContext is null
    `java.lang.UnsupportedOperationException` - if the invoker does not support this operation
    `PortletInvokerException`

### setProperties

    public PortletContext setProperties(PortletContext portletContext,
                                        PropertyChange[] changes)
                                 throws java.lang.IllegalArgumentException,
                                        PortletInvokerException,
                                        java.lang.UnsupportedOperationException

  Description copied from interface: `PortletInvoker`
  Set the properties on the specified portlet.

  Specified by:
    `setProperties` in interface `PortletInvoker`
  Parameters:
    `portletContext` - the portlet context
    `changes` - the changes
  Throws:
    `java.lang.IllegalArgumentException` - if the portletContext or the properties is null
    `java.lang.UnsupportedOperationException` - if the invoker does not support this operation
    `PortletInvokerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD